Bug 3750 - [UPDATE REQUEST] fuse-exfat 1.0.1
: [UPDATE REQUEST] fuse-exfat 1.0.1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-12 16:04 MSK by Eugene Shatokhin
Modified: 2014-02-17 11:52 MSK (History)
2 users (show)

See Also:
RPM Package: fuse-exfat-1.0.1-1
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-02-12 16:04:48 MSK
fuse-exfat was updated to the latest upstream version 1.0.1 released a year ago. The fixes that appeared in the upstream SVN repository since then were also added.
Comment 1 Eugene Shatokhin 2014-02-12 16:10:46 MSK
Advisory:
fuse-exfat was updated to the latest upstream version 1.0.1. The fixes and enhancements appeared in the SVN repository since then were also added:
* Add fsname parameter as is, without canonicalization and symbolic links expansion. This fixes TrueCrypt disks unmounting.
* Avoid extra erase on writes to the end of a file.
* Allow -n option for automount/autofs compatibility.
* Allow -v option for compatibility with mount utility (it passes -v to its helpers).
* Allow arbitrary changing of lower 9 bits of mode. Allow owner/group changing to the same owner/group.
* Fixed handling of long non-ASCII file names.
* Implemented fsync() and fsyncdir().
* Fixed buffer overflows when handling files names of exactly 256 UTF-16 characters in length.
* Check max continuations count when reading file entry.
* Address clusters bitmap using size_t-sized blocks instead of bytes. This should be a bit faster.
* Give the caller a chance to handle I/O errors reported by pread() and pwrite().
* Handle I/O errors.
* Close device and free super block on failure to read boot sector.
* Fixed return codes from exfat_close() and exfat_fsync(): return -EIO on error instead of 1.
* Do fsync() after ublio_fsync(): ublio_fsync() does not flush changes to the disk, just writes them.
* Relaxed node size check. This fixes pagefile.sys error.
* Fixed memory use after free on error paths.
* Fixed return value from exfat_rename().
* other fixes
The code has also been relicensed from GPLv3+ to GPLv2+.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/1632405
x86_64:
https://abf.rosalinux.ru/build_lists/1632406
Comment 2 Vladimir Potapov 2014-02-13 17:46:10 MSK
fuse-exfat-1.0.1-1-rosa2012.1
*************************** Advisory *************************
fuse-exfat was updated to the latest upstream version 1.0.1.
*************************** Changelog ************************
* Add fsname parameter as is, without canonicalization and symbolic links expansion. This fixes TrueCrypt disks unmounting.
* Avoid extra erase on writes to the end of a file.
* Allow -n option for automount/autofs compatibility.
* Allow -v option for compatibility with mount utility (it passes -v to its helpers).
* Allow arbitrary changing of lower 9 bits of mode. Allow owner/group changing to the same owner/group.
* Fixed handling of long non-ASCII file names.
* Implemented fsync() and fsyncdir().
* Fixed buffer overflows when handling files names of exactly 256 UTF-16 characters in length.
* Check max continuations count when reading file entry.
* Address clusters bitmap using size_t-sized blocks instead of bytes. This should be a bit faster.
* Give the caller a chance to handle I/O errors reported by pread() and pwrite().
* Handle I/O errors.
* Close device and free super block on failure to read boot sector.
* Fixed return codes from exfat_close() and exfat_fsync(): return -EIO on error instead of 1.
* Do fsync() after ublio_fsync(): ublio_fsync() does not flush changes to the disk, just writes them.
* Relaxed node size check. This fixes pagefile.sys error.
* Fixed memory use after free on error paths.
* Fixed return value from exfat_rename().
*****************************************************************
QA Verified